/***********************************************************************/
/*                                                                     */
/*                              Ref-indic                              */
/*                                                                     */
/*                        Refinement indicators                        */
/*                                                                     */
/*               EPI Pomdapi, INRIA Paris - Rocquencourt               */
/*                                                                     */
/*  Copyright 2013-2014 INRIA.                                         */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Hend Ben Ameur <hbenameur@yahoo.ca>                                */
/*  Francois Clement <Francois.Clement@inria.fr>                       */
/*  Pierre Weis <Pierre.Weis@inria.fr>                                 */
/*                                                                     */
/***********************************************************************/

/* $Id: worker_constants.h,v 1.3 2014-03-14 15:47:26 fclement Exp $ */

#ifndef _WORKER_CONSTANTS_H_
#define _WORKER_CONSTANTS_H_

#include "pio_user_constants.h"

#define WORKER_MAX_DIMENSION 9
#define WORKER_MAX_DIMENSION_LEN 1
#define WORKER_MAX_DIMENSION_FMT i1

#define WORKER_MAX_SIZE 9999
#define WORKER_MAX_SIZE_LEN 6
#define WORKER_MAX_SIZE_FMT i6

#define WORKER_MAX_ZONE_NUMBER 99999
#define WORKER_MAX_ZONE_NUMBER_LEN 7
#define WORKER_MAX_ZONE_NUMBER_FMT i7

#define WORKER_MAX_FILE_NAME_LENGTH 99

#endif
